Package org.drinkless.tdlib

# Class TdApi.ChatRevenueTransactionTypeFragmentWithdrawal

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatRevenueTransactionType
org.drinkless.tdlib.TdApi.ChatRevenueTransactionTypeFragmentWithdrawal

Enclosing class:
  `TdApi`

public static class TdApi.ChatRevenueTransactionTypeFragmentWithdrawal extends TdApi.ChatRevenueTransactionType
Describes a withdrawal of earnings through Fragment.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatRevenueTransactionType

  `TdApi.ChatRevenueTransactionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.RevenueWithdrawalState`
  `state`
  State of the withdrawal.
  `int`
  `withdrawalDate`
  Point in time (Unix timestamp) when the earnings withdrawal started.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatRevenueTransactionTypeFragmentWithdrawal()`
  Describes a withdrawal of earnings through Fragment.
  `ChatRevenueTransactionTypeFragmentWithdrawal(int withdrawalDate, TdApi.RevenueWithdrawalState state)`
  Describes a withdrawal of earnings through Fragment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### withdrawalDate

    public int withdrawalDate
    Point in time (Unix timestamp) when the earnings withdrawal started.

  - ### state

    public TdApi.RevenueWithdrawalState state
    State of the withdrawal.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatRevenueTransactionTypeFragmentWithdrawal

    public ChatRevenueTransactionTypeFragmentWithdrawal()
    Describes a withdrawal of earnings through Fragment.

  - ### ChatRevenueTransactionTypeFragmentWithdrawal

    public ChatRevenueTransactionTypeFragmentWithdrawal(int withdrawalDate, TdApi.RevenueWithdrawalState state)
    Describes a withdrawal of earnings through Fragment.
    Parameters:
      `withdrawalDate` - Point in time (Unix timestamp) when the earnings withdrawal started.
      `state` - State of the withdrawal.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatRevenueTransactionType`
    Returns:
      this.CONSTRUCTOR